libzypp: zypp::misc::testcase::RepoData Class Reference

libzypp 17.38.15

zypp::misc::testcase::RepoData Class Reference

`#include <zypp/misc/TestcaseSetup.h>`

## Public Member Functions
| RepoData ()
| ~RepoData ()
| RepoData (RepoDataImpl &&data)
TestcaseRepoType | type () const
const std::string & | alias () const
uint | priority () const
const std::string & | path () const
const RepoDataImpl & | data () const
RepoDataImpl & | data ()

## Private Attributes
RWCOW_pointer< RepoDataImpl > | _pimpl

## Detailed Description

Definition at line 51 of file TestcaseSetup.h.

## Constructor & Destructor Documentation

## ◆ RepoData() [1/2]

zypp::misc::testcase::RepoData::RepoData | ( |  | ) |

Definition at line 189 of file TestcaseSetup.cc.

## ◆ ~RepoData()

zypp::misc::testcase::RepoData::~RepoData | ( |  | ) |

Definition at line 192 of file TestcaseSetup.cc.

## ◆ RepoData() [2/2]

zypp::misc::testcase::RepoData::RepoData | ( | RepoDataImpl && | data | ) |

Definition at line 195 of file TestcaseSetup.cc.

## Member Function Documentation

## ◆ type()

TestcaseRepoType zypp::misc::testcase::RepoData::type | ( |  | ) | const

Definition at line 198 of file TestcaseSetup.cc.

## ◆ alias()

const std::string & zypp::misc::testcase::RepoData::alias | ( |  | ) | const

Definition at line 201 of file TestcaseSetup.cc.

## ◆ priority()

uint zypp::misc::testcase::RepoData::priority | ( |  | ) | const

Definition at line 204 of file TestcaseSetup.cc.

## ◆ path()

const std::string & zypp::misc::testcase::RepoData::path | ( |  | ) | const

Definition at line 207 of file TestcaseSetup.cc.

## ◆ data() [1/2]

const RepoDataImpl & zypp::misc::testcase::RepoData::data | ( |  | ) | const

Definition at line 210 of file TestcaseSetup.cc.

## ◆ data() [2/2]

RepoDataImpl & zypp::misc::testcase::RepoData::data | ( |  | ) |

Definition at line 213 of file TestcaseSetup.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<RepoDataImpl> zypp::misc::testcase::RepoData::_pimpl
| private

Definition at line 64 of file TestcaseSetup.h.

The documentation for this class was generated from the following files:

- zypp/misc/TestcaseSetup.h
- zypp/misc/TestcaseSetup.cc